Name:           funkload
Version:        1.17.1
Release:        %mkrel 8
Summary:        Functional and Load Web Tester
License:        GPL-2.0
Group:          Networking/Other
Url:            http://funkload.nuxeo.org/
Source:         https://github.com/nuxeo/FunkLoad/archive/%{version}/FunkLoad-%{version}.tar.gz
# pbleser: remove shebangs from non-executable scripts
Patch0:         funkload-remove_shebang.patch
Patch1:         d7f20bf3d59f0f6fe64868cd7ff7aa0512e35cb8.patch
Patch2:         FunkLoad-1.17.1-fix-invalid-string-interpretation.patch
BuildArch:      noarch
Recommends:     gnuplot
Recommends:     tcpwatch

%description
FunkLoad is a functional and load Web tester whose main use cases are
functional testing of Web projects (and thus regression testing as well),
performance testing, load testing (such as volume testing or longevity
testing), and stress testing. It can also be used to write Web agents to script
any Web repetitive task, like checking whether a site is alive.

%prep
%setup -q -n FunkLoad-%{version}
%patch0
%patch1 -p 1
%patch2 -p 1

%build
sed -i '/ez_/d' setup.py
%py3_build

%install
%py3_install

rm -rf "%{buildroot}%{python_sitelib}/funkload/demo"

%files
%doc CHANGES.txt LICENSE.txt README.txt THANKS TODO.txt
%{python3_sitelib}/funkload/
%{python3_sitelib}/funkload-%{version}-py%{python3_version}.egg-info
%{_bindir}/fl-build-report
%{_bindir}/fl-credential-ctl
%{_bindir}/fl-install-demo
%{_bindir}/fl-monitor-ctl
%{_bindir}/fl-record
%{_bindir}/fl-run-bench
%{_bindir}/fl-run-test


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.17.1-8.mga9
+ Revision: 1816228
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 1.17.1-7.mga9
+ Revision: 1782893
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sun Apr 04 2021 guillomovitch <guillomovitch> 1.17.1-6.mga9
+ Revision: 1713109
- rebuild for python 3.9

* Sat May 23 2020 wally <wally> 1.17.1-5.mga8
+ Revision: 1587112
- drop python2 leftovers from .spec

* Sun Feb 16 2020 umeabot <umeabot> 1.17.1-4.mga8
+ Revision: 1533147
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 guillomovitch <guillomovitch> 1.17.1-3.mga8
+ Revision: 1443657
- rebuild for python 3

* Thu Sep 20 2018 umeabot <umeabot> 1.17.1-2.mga7
+ Revision: 1278386
- Mageia 7 Mass Rebuild

* Wed Jan 17 2018 guillomovitch <guillomovitch> 1.17.1-1.mga7
+ Revision: 1194250
- imported package funkload

